package com.kuyuntech.vrv.coreapi.service.core;

import com.kuyuntech.vrv.coreapi.bean.core.DeviceBean;
import com.wbspool.fastboot.core.common.bean.PagerBean;
import java.util.List;

/**
 * DeviceService
 *
 */
public interface DeviceService  {

    

    /**
     * 新增记录
     * @param deviceBean 新增参数
     * @return 如果成功返回对应bean，否则返回null
     */
     DeviceBean add(DeviceBean deviceBean);

    /**
     * 更新记录
     * @param deviceBean 更新参数
     * @return 如果成功返回对应bean，否则返回null
     */
     DeviceBean update(DeviceBean deviceBean);

    /**
     * 删除记录
     * @param deviceBean 删除参数
     * @return 如果成功返回对应bean，否则返回null
     */
    DeviceBean delete(DeviceBean deviceBean);

    /**
     * 查找一条记录
     * @param deviceBean 查找参数
     * @return 如果成功返回对应bean，否则返回null
     */
    DeviceBean find(DeviceBean deviceBean);

    /**
     * 通过唯一标识查找记录
     * @param code 用户标识
     * @return 记录存在返回对应的bean，否则返回null
     */
     DeviceBean find(String code);

    /**
     * 分页查找多条记录
     * @param deviceBean 查找参数
     * @param pagerBean  分页参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<DeviceBean> findAll(DeviceBean deviceBean, PagerBean pagerBean);



    /**
     * 查找所有记录
     * @param deviceBean 查找参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<DeviceBean> findAll(DeviceBean deviceBean);


    /**
     * 统计所有记录
     * @param deviceBean 统计参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     Long countAll(DeviceBean deviceBean);

    /**
     * 分页查找多条记录
     * @param deviceBean 查询条件参数
     * @param pagerBean 分页参数
     * @return 返回查询结果的Pager封装
     */
     PagerBean<DeviceBean> findPager(DeviceBean deviceBean, PagerBean pagerBean);

    /**
     * 批量删除
     * @param deviceBeans 批量删除元素集合
     */
     void batchDelete(List<DeviceBean> deviceBeans);

    /**
     * 批量删除
     * @param codes 唯一标识集合
     */
    void batchDeleteByCodes(List<String> codes);

    

}
